#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 11. General Utilities

- Prev

  pinentry-1.3.2

- Next

  shared-mime-info-2.4

- Up
- Home

# Screen-5.0.1

## Introduction to Screen

Screen is a terminal multiplexor that runs several separate processes, typically interactive shells, on a single physical character-based terminal. Each virtual terminal emulates a DEC VT100 plus several ANSI X3.64 and ISO 2022 functions and also provides configurable input and output translation, serial port support, configurable logging, multi-user support, and many character encodings, including UTF-8. Screen sessions can be detached and resumed later on a different terminal.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://ftpmirror.gnu.org/screen/screen-5.0.1.tar.gz

- Download MD5 sum: fb5e5dfc9353225c2d6929777344b1a6

- Download size: 880 KB

- Estimated disk space required: 8.9 MB

- Estimated build time: 0.1 SBU

### Screen Dependencies

#### Optional

Linux-PAM-1.7.2

## Installation of Screen

Fix an issue causing the info page to fail to build:

    sed 's/\([a-z]\)@opensuse/\1@@opensuse/' -i doc/screen.texinfo

Install Screen by running the following commands:

    ./configure --prefix=/usr                   \
                --infodir=/usr/share/info       \
                --mandir=/usr/share/man         \
                --disable-pam                   \
                --enable-socket-dir=/run/screen \
                --with-pty-group=5              \
                --with-system_screenrc=/etc/screenrc &&

    sed -i -e "s%/usr/local/etc/screenrc%/etc/screenrc%" {etc,doc}/* &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install &&
    install -m 644 etc/etcscreenrc /etc/screenrc

## Command Explanations

`--disable-pam`: This option removes a build dependency on Linux-PAM. Remove this option if you want PAM support.

`--enable-socket-dir=/run/screen`: This option places the per-user sockets in a standard location.

`--with-system_screenrc=/etc/screenrc`: This option places the global screenrc file in `/etc`.

`--with-pty-group=5`: This option sets the gid to the value used by LFS.

sed -i -e "s%/usr/local/etc/screenrc%/etc/screenrc%" {etc,doc}/*: This command corrects the configuration and documentation files to the location that is used here for the global screenrc file.

## Configuring Screen

### Config Files

`/etc/screenrc` and `~/.screenrc`

### Configuration Information

You may want to look at the example configuration file that was installed and customize it for your needs.

## Contents

Installed Program: screen (symlink) and screen-5.0.1
Installed Libraries: None
Installed Directory: /usr/share/screen and /run/screen

### Short Descriptions

screen | is a terminal multiplexor with VT100/ANSI terminal emulation

- Prev

  pinentry-1.3.2

- Next

  shared-mime-info-2.4

- Up
- Home